*{
	box-sizing: border-box;
}
	body {
		font-family: monaco, monospace;
		margin: 0;
		color: #fff;
		background-color: #fee5fa;

.container {  display: grid;
  grid-template-columns: 164.8px 435.2px 435.2px 164.8px;
  grid-template-rows: 300px 300px 300px 300px;
  gap: 10px 10px;
  grid-auto-flow: column;
  grid-template-areas:
    "header header header header"
    "left main main right"
    "left main main right"
    "left videoplayer videoplayer right";
  width: 1280px;
  height: 1280px;
}

.header {  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr 1fr;
  gap: 0px 0px;
  grid-auto-flow: row;
  grid-template-areas:
    ". banner ."
    ". banner ."
    ". nav .";
  grid-area: header;
  height: 300px;
}

.banner {
  grid-area: banner;
  width: 880px;
  height: 186px;
}

.nav {
  grid-area: nav;
  width: 850px;
  height: 100px;
}

ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
  background-color: #b6d7f5;
  border-radius: 12px;
  border: dotted 3px #e9a1d3;
}

ul li {
  float: left;
  padding: 5px;
}

ul li a {
  display: block;
  color: white;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
}

ul li a:hover {
  background-color: #e9a1d3;
}

.left {  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr 1fr;
  gap: 10px 10px;
  grid-auto-flow: row;
  grid-template-areas:
    "pfp pfp pfp"
    "details details details"
    "blinkies blinkies blinkies";
  grid-area: left;
  height: 820px;
  margin-left: 20px;
}

.pfp {
  grid-area: pfp;
  height: 250px;
  padding: 10px 10px;
  background-color: #b6d7f5;
  border: dotted 3px #e9a1d3;
  border-radius: 12px;
}

.details {
  grid-area: details;
  height: 250px;
  padding: 10px 10px;
  background-color: #b6d7f5;
  border: dotted 3px #e9a1d3;
  border-radius: 12px;
}

.blinkies {
  grid-area: blinkies;
  height: 300px;
  padding: 10px 10px;
  background-color: #b6d7f5;
  border: dotted 3px #e9a1d3;
  border-radius: 12px;
}

.main {
  grid-area: main;
  width: 880px;
  height: 610px;
  padding: 10px 10px;
  background-color: #b6d7f5;
  border: dotted 3px #e9a1d3;
  border-radius: 12px;
}

.right {  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr 1fr;
  gap: 0px 0px;
  grid-auto-flow: row;
  grid-template-areas:
    "tamanotchi tamanotchi tamanotchi"
    "guestbook guestbook guestbook"
    "linkme linkme linkme";
  grid-area: right;
  height: 820px;
  
}

.tamanotchi {
  grid-area: tamanotchi;
  height: 250px;
  padding: 10px 10px;
  background-color: #b6d7f5;
  border: dotted 3px #e9a1d3;
  border-radius: 12px;
}

.guestbook {
  grid-area: guestbook;
  height: 250px;
  padding: 10px 10px;
  background-color: #b6d7f5;
  border: dotted 3px #e9a1d3;
  border-radius: 12px;
}

.linkme { grid-area: linkme;
  height: 300px;
  padding: 10px 10px;
  background-color: #b6d7f5;
  border: dotted 3px #e9a1d3;
  border-radius: 12px;
} 

.videoplayer {
  grid-area: videoplayer;
  width: 880px;
  height: auto;
  padding: 0px 0px;
  background-color: #b6d7f5;
  border: dotted 3px #e9a1d3;
  border-radius: 12px;
}

  hr {
  display: block;
  margin-top: 0.5em;
  margin-bottom: 0.5em;
  margin-left: auto;
  margin-right: auto;
  border: dotted 3px #e9a1d3;
  border-width: 3px;
}
